% Testbed for linear integral convolution
% $Id: testvecfield.m,v 1.9 1998/01/21 15:38:10 ahi Exp $

clear all
echo on;

% generate vectorfield: [cos(x.y), sin(x.y)^2] with low resolution
x1 = linspace(0,pi,25);
y1 = linspace(0,pi,25);
[x,y] = meshgrid(x1,y1);
vx = cos(x.*y);
vy = sin(x.*y).^2;
figure(1)
quiver(x,y,vx,vy);


% generate vectorfield: [cos(x.y), sin(x.y)^2] with high resolution
size = 500;
x1 = linspace(0,pi,size);
y1 = linspace(0,pi,size);
[x,y] = meshgrid(x1,y1);
vx = cos(x.*y);
vy = sin(x.*y).^2;

[noise,hue] = gennoisefield(vx);

tic;
[licnoise,lichue] = lin_conv(vx,vy,noise,hue,1,size/10);
toc;

figure(2)
axis equal;
colormap(gray);
him = image(x1,y1,licnoise);
set(gca,'YDir','normal');
set(him,'CDataMapping','scaled');




